
void SimpleTest();
void IterateCode(long addr, long iter);
void PrintDisassembly();
void DumpMem(long start, long end);
void CallAsSub(long addr);
void Kernal_CHROUT();
void Kernal_OPEN();
void Kernal_LOAD();
void Kernal_CHRIN();
void GetKernalFilename(char *fname);
unsigned char ToPetscii(unsigned char byte);
unsigned char FromPetscii(unsigned char byte);
void SetAXY(long arg);
long GetAXY();
void LoadRAMBin(char *bindir, char *fname, long addr, int petscii);
void LoadRAM(char *fname, long addr, int petscii);
void LoadROMBin(char *bindir, char *fname, long addr, int petscii);
void LoadROM(char *fname, long addr, int petscii);
void LoadMem(char *mem, char *fname, long addr, int petscii);
void SaveObj(char *fname, long org, long len);
void Init65816();
void Cleanup65816();
void ExOp();
void ParseOp();
int CheckModeLen();
unsigned char ReadByte();
void FixAddress();
long GetIndirect16(long offset);
long GetZPPtr16(long offset);
long GetZPPtr24();
void FixRegs();
void SetPC(long val);
void DisasOp(char *dest);
void ToHex(char *dest, long val);
void ToHex16(char *dest, long val);
void ToHex24(char *dest, long val);
void CallOp(unsigned char opcode);
void PushStack(char val);
unsigned char PullStack();
unsigned int FetchMemA();
unsigned int FetchMemX();
unsigned int FetchMem(unsigned char flag);
void StoreMemA();
void StoreMemX();
void StoreMemY();
void StoreMem(unsigned int val, unsigned char flag);
unsigned char IsROM(long addr);
unsigned char IsReg(long addr);
void SetCarry(long arg);
void SetV(long argl, long argr);
void SetNeg(long arg, char flag);
void SetZ(long arg, char flag);
void ClearFlag(unsigned char mask);
void SetFlag(unsigned char mask);
void BranchClear(unsigned char mask);
void BranchSet(unsigned char mask);
void CompareMem(unsigned int reg, unsigned char flag);
long Neg16(long arg);
long Complement(long arg);
void NotImplemented();
