_*
*  LITTLE DEMO WRITTEN IN LANG.  HE
* MAIN POINT IS THAT LANG CAN BE USED
* TO SET UP TABLES, PROTOTYPE, ETC.
* USING ASM FOR THE FAST STUFF.
*
*  9/9/05 UPDATED 11/12/05
*

;
; BASIC HEADER
;
*         DO  0
ORG $0801;SET ASSEMBLE ADDRESS

DA$080B;LINK
         DA  2006   ;LINE NUMBER
DFB $9E;SYS
TXT '2061'
DFB 00,00,00
*         FIN

;
;  VARS
;

BYTE ROMDATA(64,8)@$D000; CHARACTER DATA
BYTE SHIFTDATA(64,12)@$4000;Y-SHIFTED DATA
BYTE CHARDATA(40,16)@$2000;HAT  WILL SEE
BYTE SINDATA(256)
BYTE SCREEN(25,40)@$0400

UINT CHARIDX(64)      ;INDEX INTO CHARDATA

UBYTE MESG(80)=[!S".........IT'S A SINE OF THE TIMES......."]

UBYTE X,Y,CHAR
UBYTE I,K,COUNT

UINT PTR1@$FA
UINT CPTR@$FC
UINT SPTR@$FE
UINT CHARCOL(64)

;
; CROLL VARS
;
BYTE MESG2(120)=[!S" SLANG MAKES IT EASY          HTTP://WWW.FFD2.COM/FRIDGE/SLANG/         ROBIN HARBR0N RULES!!! "]
BYTE MESG2LEN=94
BYTE ROW1(40)@$0400  ;FIRST SCREEN ROW

CROLL2_ROWPOS = 39   ;INITIAL SCREEN POSITION

;
; PRITE VARS
;

UBYTE SPRITE(63)@832
*INT XPOS=100,YPOS=100
*INT XVEL=2,YVEL=0
INT XPOS(8) = [30 50 70 50 30 50 70 50]
INT YPOS(8) = [100 100 100 100 100 100 100 100]
INT XVEL(8) = [2 2 2 2 2 2 2 2]
INT YVEL(8) = [0 0 0 0 0 0 0 0]
BYTE NUMSPRITES=0
BYTE SCOUNT=4,SCOUNT2=53
BYTE SPRITECOLORS(8) = [1 3 7 10 12 13 14 15]
BYTE SPRITECOLORREG(8)@$D027
UBYTE PRITEOLLISIONEG@$D01F
UBYTE BITTAB(8)=[1 2 4 8 16 32 64 128]
UBYTE SPRITEDAT(63)=[ &
  6 102 96 6 102 96 &
  6 102 96 7 255 224 &
  15 255 240 28 0 56 &
  56 0 28 113 195 142 &
  225 195 135 193 195 131 &
  192 0 3 192 0 3 &
  192 60 3 192 0 3 &
  204 0 51 198 0 99 &
  195 255 195 192 0 3 &
  224 0 7 127 255 254 &
  63 255 252 ]

;
; ET UP THE SINE DATA
;

SPRINT !13"CHILL"

FOR X=0:63
  SINDATA(X) = 20.0*(1+SIN(X*2.*3.14159/64))
  SINDATA(X+64)=SINDATA(X)
  SINDATA(X+128)=SINDATA(X)
  SPRINT ".."
NEXT

;
; ET UP , INITIALIZE MEM
;

ETANK(0)
ETIDEOATRIX($0400)
ETHARATA($2000)   ;CHARDAT @ $2000

POKE 53281,0         ;BLACK BG
POKE 53280,0

FILLMEM($D800,$DBFF,01) ;OLOR->BLACK

FILLMEM($2000,$4000,$00);ILL CHAR MEM
FILLMEM($4000,$6000,$00);ILL SHIFTED CHARS
FILLMEM($0400,$07FF,$FF);LEAR SCREEN

;
; ET UP THE SCREEN ROW TABLE, SHIFT
; ROW TABLE, CHAR ROW TABLE.
;

CHARIDX(0) = #SHIFTDATA
CHARCOL(0) = #CHARDATA
FOR I=1:63
  CHARIDX(I)=CHARIDX(I-1)+12;12 BYTES PER STRIP
  CHARCOL(I)=CHARCOL(I-1)+48
NEXT+

;
; ET UP THE SHIFTED DATA SETS
;

ISABLENTERRUPTS
EMONFIG 3          ;HOW CHARROM UNDER 

FOR CHAR=0:63
  FOR X=0:7
    SHIFTDATA(CHAR,X+2) = ROMDATA(CHAR,X)
  ENDFOR+
ENDFOR+

EMONFIG 7          ;VIC BACK IN
*                      ;DON'T NEED TO RE-ENABLE INTERRUPTS
NABLENTERRUPTS;NEEDED BY SCROLL

;
; ET UP CHARMAP TO SCREEN
;

COUNT = 0
FOR X=0:39
  FOR Y=19:24
    SCREEN(Y,X)=COUNT
    COUNT=COUNT+1
  NEXT+
NEXT+

;
; ET UP 
;
ISABLEIMER      ;SHUT DOWN  TIMER  (KERNAL )
ETASTER(58)
ETOUTINE(CROLL2)
ETOL38             ;USE 38 COLS TO MAKE IT SMOOTH
ROW1$(0:39)="                                       "

;
; ET UP SPRITES
;

SEPRITETUFF

FOR X=0:62
*  SPRITE(X)=255
  SPRITE(X) = SPRITEDAT(X)
NEXT+

FOR X=0:7
  ETPRITETR(X,13)
  PRITEOLOREG(X) = PRITEOLORS(X)
NEXT+
PRITEN(0)

********************************
*
* AIN OOP
*
********************************

;
; NIMATE A CHARACTER
;

COUNT=0
NABLEASTER

REPEAT

LDX #39
:LOOPSTX PTR1

; ET UP POINTERS

         LDA MESG,X
         ASL
         TAY
         LDA CHARIDX,Y;SHIFTED DATA PTR
         STA SPTR
         LDA CHARIDX+1,Y
         STA SPTR+1

         TXA
         ASL
TAY
LSR
ADC COUNT
TAX
         LDA CHARCOL,Y; ;CHARMAP PTR
         ADC SINDATA,X
         STA CPTR
         LDA CHARCOL+1,Y
         ADC #00
         STA CPTR+1

; LOT DATA TO CHARMAP

LDY #00
DO0
:L1      LDA (SPTR),Y
         STA (CPTR),Y
INY
         CPY #12
BNE :L1
FIN

LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y
INY
LDA (SPTR),Y
STA (CPTR),Y

; AND LOOP

LDX PTR1
DEX
BPL :LOOP

INC COUNT
BPL :C1
LDA #00
STA COUNT
:C1

;
; AIN LOOP
;

*  STZ $D020
  WAIT $D012,251
*  INC $D020
  CROLL1()

;
; CTIVATE SPRITES
;

  IF+ NUMSPRITES < 7
    DEC SCOUNT2
    IF+ SCOUNT2 = 0
      SCOUNT2=39
      INC NUMSPRITES
      PRITEN(NUMSPRITES)
    ENDIF+
  ENDIF+

;
; OVE SPRITES
;
  X = PRITEOLLISIONEG;READING CLEARS THE REG
  ;SO GOOFINESS IS NEEDED

  DEC SCOUNT
  FOR K=0:NUMSPRITES

    XPOS(K)=XPOS(K)+XVEL(K)
    IF+ (XPOS(K) > 312) OR (XPOS(K) < 32)
      XVEL(K)=-XVEL(K)
      XPOS(K)=XPOS(K)+XVEL(K)
    ENDIF+

    IF+ BITTAB(K) BITAND X
      YVEL(K)=-YVEL(K)
      YPOS(K)=YPOS(K)+YVEL(K)+YVEL(K)
    ENDIF+
    YPOS(K)=YPOS(K)+YVEL(K)

    IF+ SCOUNT=0
      YVEL(K)=YVEL(K)+1
      IF+ YVEL(K)>7
        YVEL(K)=7
      ENDIF+
    ENDIF+

    ETPRITE(K,XPOS(K))
    ETPRITE(K,YPOS(K))
  ENDFOR

  IF+ SCOUNT=0
    SCOUNT=4
  ENDIF+

FOREVER


;-------------------------------
;
;  ROUTINES
;
; HE FIRST  ROUTINE FINE-SCROLLS
; THE SCREEN AND SETS UP THE NEXT .
;
;-------------------------------

SUB CROLL1()
  BYTE COUNT

  ETCROLL(COUNT)  ;FINE SCROLL
  ETHARATA($1000)

  COUNT=COUNT-1
  IF+ COUNT<0
    CROLL2_FLAG = 1
    COUNT = 7
  ELSE+
    CROLL2_FLAG = 0
  ENDIF+

  ETHARATA($1000)

ENDSUB

;
; CROLL AND RESET CHARSET
;

IRQ CROLL2()_BYTE FLAG, BYTE ROWPOS
  BYTE OFFSET=0,ENDTEXT

  ETHARATA($2000)
  ETCROLL(7)      ;IX REST OF SCREEN
  CKASTER        ;ACKNOWLEDGE IRQ

  IF+ FLAG=1
    ENDTEXT = OFFSET+39
    IF+ ENDTEXT > MESG2LEN
      ENDTEXT = MESG2LEN
    ENDIF+

    ROW1$(ROWPOS:39) = MESG2$(OFFSET:ENDTEXT)
    IF+ ROWPOS>0
      ROWPOS = ROWPOS-1 ;MOVE MESG LEFT
    ELSIF+ OFFSET < MESG2LEN
      OFFSET = OFFSET+1 ;IF ALL THE WAY LEFT THEN MOVE THROUGH MESSAGE
    ELSE+
      ROWPOS = 39       ;RESET IF DONE
      OFFSET = 0
    ENDIF+
  ENDIF+
ND

